package com.under9.android.comments.data.query.comment

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class CommentListQueryParam (
        val isRefresh: Boolean,
        val url: String,
        val order: Int,
        val count: Int? = 10,
        val ref: String? = null,
        val refCommentId: String? = null,
        val parentCommentId: String? = null,
        val direction: String? = null,
        val commentId: String? = null,
        // Whether we need to set the like count from server
        // or merge it with local value
        val shouldOverrideLikeStatus: Boolean = false,
        val level: Int = 0 // For supporting sublevel refresh
): Parcelable