package com.under9.android.comments.ui.fragment

import android.app.Activity
import androidx.fragment.app.FragmentManager
import com.under9.android.comments.controller.CommentSystemTaskQueueController
import com.under9.android.comments.model.Comment
import com.under9.android.comments.ui.fragment.dialog.MoreActionDropdownDialogFragment
import com.under9.android.comments.ui.renderer.RendererItemActionListener

interface CommentListingViewInterface {
    /**
     * // FIXME: 8/1/2019
     * Android related stuff, should be move them out of this...
     * To determine [AbstractCommentSystemListingFragment] is visible
     */
    fun isVisible(): Boolean
    fun getActivity(): Activity?
    fun getChildFragmentManager(): FragmentManager?

    fun getRendererItemActionListener(): RendererItemActionListener?

    /**
     * // FIXME: 8/1/2019 Should make it config object instead of an interface method call later
     */
    fun showUpvoteOption(): Boolean
    fun showDownvoteOption(): Boolean
    fun showReplyOption(): Boolean
    fun showShare(comment: Comment): Boolean
    fun showGoProfile(comment: Comment): Boolean
    fun showHideComment(): Boolean

    /**
     * // FIXME: 8/1/2019 Should move them to elsewhere too
     */
    fun isOP(): Boolean
    fun getUrl(): String
    fun getMoreActionCallback(): MoreActionDropdownDialogFragment.MoreActionCallback?

    fun getInlineAddModule(): BaseCommentSystemInlineAddModule?
    fun getCommentSystemTaskQueueController(): CommentSystemTaskQueueController
}