package com.under9.android.lib.util

import android.content.Context
import java.text.DateFormat
import java.text.SimpleDateFormat
import java.util.*

class ChatTimeFormatter(context: Context): TimeFormatter {

    private val date = Date()
    private val simpleDateFormat = SimpleDateFormat("dd MMM")

    override fun timeAgo(millis: Long): String {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun formatTime(millis: Long): String {
        val diff = System.currentTimeMillis() - millis
        date.time = millis
        return when {
            diff <= 86400000 -> DateFormat.getTimeInstance(DateFormat.SHORT).format(date)
            diff in 86400001..31536000000 -> simpleDateFormat.format(date)
            else -> DateFormat.getInstance().format(date)
        }
    }
}