package com.ninegag.android.blitz2

/**
 * Transformer interface, to transform ListItemModel to wrapper model
 */
interface BlitzTransformer<OriginalModel, TransformedModel> {
    fun transform(list: List<OriginalModel>)
            : List<TransformedModel>
}