package com.under9.android.comments

object AppOptions {

    const val FIELD_MAX_DISPLAY_LEVEL = "cs_max_display_level"
    const val FIELD_MAX_MESSAGE_LENGTH = "cs_max_message_length"
    const val FIELD_ALLOW_ANONYMOUS_COMMENT = "cs_allow_anonymous_comment"
    const val FIELD_ENABLE_OP_LABEL_FEATURE = "cs_enable_op_label_feature"
    const val FIELD_ANONYMOUS_AVATAR_URL = "cs_anonymous_avatar_url"
    const val FIELD_LOGGED_IN_USER = "cs_logged_in_user"
    const val FIELD_LAST_INFO_UPDATE_TIME = "cs_last_info_update_time"
    const val FIELD_USER_NAME_CLICKABLE = "cs_user_name_clickable"
    const val FIELD_ALLOW_IMAGE_UPLOAD_FEATURE = "cs_allow_image_upload_feature"

    const val FIELD_COMMENT_QUOTA = "cs_comment_quota"
    const val FIELD_COMMENT_QUOTA_WAIT = "cs_comment_quota_wait"
    const val FIELD_COMMENT_QUOTA_WAIT_UNTIL = "cs_comment_quota_wait_until"
    const val FIELD_COMMENT_MEDIA_QUOTA = "cs_comment_media_quota"
    const val FIELD_COMMENT_MEDIA_QUOTA_WAIT = "cs_comment_media_quota_wait"
    const val FIELD_COMMENT_MEDIA_QUOTA_WAIT_UNTIL = "cs_comment_media_quota_wait_until"

    const val FIELD_ALLOW_ANONYMOUS_VOTE = "cs_allowAnonymousVote"


    const val FIELD_ENABLE_OP_HIDE_COMMENT_FEATURE = "cs_enable_op_hide_comment_feature"

    const val FIELD_COMMENTED_POST_LIKE_URLS = "cs_commented_post_urls"
    const val FIELD_REPORTED_POST_URLS = "cs_reported_post_urls"
    const val FIELD_LIKE_MAPPING = "cs_like_mapping"
    const val FIELD_LAST_USER_STATUS_QUERY_TIME = "cs_last_user_status_query_ts"

    /**
     * For restoring scrolling position
     */
    const val FIELD_COMMENT_LIST_ITEM_POS = "cs_list_item_pos"         // Last position that the list scrolled to
    const val FIELD_COMMENT_LIST_ITEM_OFFSET = "cs_list_item_offset"   // Last list item top view's offset
    const val FIELD_COMMENT_LIST_ITEM_RECENT = "cs_list_item_recent"   // Recent N keys
}
