package com.under9.android.comments.data.processor

import com.under9.android.comments.controller.DataController
import com.under9.android.comments.model.api.ApiResponse
import io.reactivex.Flowable

abstract class BaseApiResponseProcessor<T: ApiResponse>(val dataController: DataController) {
    abstract fun process(apiResponse: T): Flowable<*>
}